package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * DeviceMoveSiteOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class DeviceMoveSiteOpenApiVo   {
  @JsonProperty("targetSite")
  private String targetSite;

  public DeviceMoveSiteOpenApiVo targetSite(String targetSite) {
    this.targetSite = targetSite;
    return this;
  }

  /**
   * Target site ID
   * @return targetSite
  */
  @ApiModelProperty(required = true, value = "Target site ID")
  @NotNull


  public String getTargetSite() {
    return targetSite;
  }

  public void setTargetSite(String targetSite) {
    this.targetSite = targetSite;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeviceMoveSiteOpenApiVo deviceMoveSiteOpenApiVo = (DeviceMoveSiteOpenApiVo) o;
    return Objects.equals(this.targetSite, deviceMoveSiteOpenApiVo.targetSite);
  }

  @Override
  public int hashCode() {
    return Objects.hash(targetSite);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeviceMoveSiteOpenApiVo {\n");
    
    sb.append("    targetSite: ").append(toIndentedString(targetSite)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

